Bug 245530 - backup, *.rej, *.bak, *.rpmnew files
backup, *.rej, *.bak, *.rpmnew files
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: module-init-tools (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Jon Masters
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F8Target
  Show dependency treegraph
 
Reported: 2007-06-25 02:35 EDT by Denise Dumas
Modified: 2009-03-13 14:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-13 14:42:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian La Roche 2007-06-25 02:35:45 EDT
Description of problem:

Not sure how m-i-t reads in /etc/modprobe.d/blacklist* files are,
but having a common file ending like *.conf would be good to automatically
make sure backup and other files are not considered as blacklist files.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Zing 2007-09-13 10:16:26 EDT
I'd like to request this type of enhancement also for /etc/depmod.d  .  I have
/etc under revision control and just did a kernel update on F7 and got this:

  Installing: kernel                       ####################### [ 9/19]
WARNING: /etc/depmod.d/.svn/format line 1: ignoring bad line starting with '8'
WARNING: /etc/depmod.d/.svn/entries line 1: ignoring bad line starting with '8'
WARNING: /etc/depmod.d/.svn/entries line 3: ignoring bad line starting with 'dir'
WARNING: /etc/depmod.d/.svn/entries line 4: ignoring bad line starting with '6'
WARNING: /etc/depmod.d/.svn/entries line 5: ignoring bad line starting with
'file:///root/rootrepo/
tc/depmod.d'
WARNING: /etc/depmod.d/.svn/entries line 6: ignoring bad line starting with
'file:///root/rootrepo'
WARNING: /etc/depmod.d/.svn/entries line 10: ignoring bad line starting with
'2007-09-10T14:20:42.8
5652Z'
WARNING: /etc/depmod.d/.svn/entries line 11: ignoring bad line starting with '2'
WARNING: /etc/depmod.d/.svn/entries line 12: ignoring bad line starting with 'root'
WARNING: /etc/depmod.d/.svn/entries line 15: ignoring bad line starting with
'svn:special'
WARNING: /etc/depmod.d/.svn/entries line 16: ignoring bad line starting with '
                                                                              '
WARNING: /etc/depmod.d/.svn/entries line 17: ignoring bad line starting with
'depmod.conf.dist'
WARNING: /etc/depmod.d/.svn/entries line 18: ignoring bad line starting with 'file'
WARNING: /etc/depmod.d/.svn/entries line 23: ignoring bad line starting with
'2007-03-22T19:13:22.0
0000Z'
WARNING: /etc/depmod.d/.svn/entries line 24: ignoring bad line starting with
'3a6a059e04b951923f6d8
b7ed327e0e'
WARNING: /etc/depmod.d/.svn/entries line 25: ignoring bad line starting with
'2007-09-10T14:20:42.8
5652Z'
WARNING: /etc/depmod.d/.svn/entries line 26: ignoring bad line starting with '2'
WARNING: /etc/depmod.d/.svn/entries line 27: ignoring bad line starting with 'root'
WARNING: /etc/depmod.d/.svn/entries line 28: ignoring bad line starting with '
                                                                              '

Something like *.conf is fine with me and maybe even ignore dotfiles?
Comment 3 Bug Zapper 2008-05-13 23:00:27 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Jon Masters 2009-03-13 14:42:37 EDT
Actually, we're requiring files to end in .conf upstream in due course and added logic to trap obvious RPM files. Therefore I will close this bug now.

Note You need to log in before you can comment on or make changes to this bug.